View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001007Ecere SDKcompilerpublic2013-09-27 09:122014-05-19 01:33
Reporterjerome 
Assigned Tojerome 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001007: [ 1 ].OnCompare([ 1 ]) -- Bad generated code
Description[ 1 ].OnCompare([ 1 ]) -- This generated bad C code:

((int (*)(struct __ecereNameSpace__ecere__com__Class *, void *, void * object))((struct __ecereNameSpace__ecere__com__Instance *)&)->_vTbl[__ecereVMethodID_class_OnCompare])(((struct __ecereNameSpace__ecere__com__Instance *)&)->_class, ((struct __ecereNameSpace__ecere__com__Instance *)&__extension__ (struct __ecereNameSpace__ecere__com__BuiltInContainer)
TagsNo tags attached.
Attached Files

- Relationships
related to 0001058closedjerome Get PrintLn([1, 2, 3]) working 

-  Notes
(0001176)
jerome (administrator)
2014-02-09 04:25
edited on: 2014-02-09 04:27

Most likely fixed by:
https://github.com/redj/ecere-sdk/commit/f13576016af755afe60bc61f5311a3cb0d7adbe5 [^]

However we're missing the runtime support for comparison of any containers (including the BuiltInContainer needed for this to compare properly).


- Issue History
Date Modified Username Field Change
2013-09-27 09:12 jerome New Issue
2013-12-30 20:13 jerome Summary Array literals issues => [ 1 ].OnCompare([ 1 ]) -- Bad generated code
2013-12-30 20:13 jerome Description Updated
2014-02-09 04:23 jerome Status new => assigned
2014-02-09 04:23 jerome Fixed in Version => 0.44.10 64
2014-02-09 04:23 jerome Target Version 0.46 eC II => 0.44.10 64
2014-02-09 04:25 jerome Status assigned => resolved
2014-02-09 04:25 jerome Resolution open => fixed
2014-02-09 04:25 jerome Assigned To => jerome
2014-02-09 04:25 jerome Note Added: 0001176
2014-02-09 04:26 jerome Relationship added related to 0001058
2014-02-09 04:27 jerome Note Edited: 0001176
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker